<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/CommentedAtom.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::CommentedAtom</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class CommentedAtom

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Atoms.hh.html" target="detail">../Synopsis/PTree/Atoms.hh</a></div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mCommentedAtom" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="CommentedAtom-inheritance" src="CommentedAtom-inheritance.png" hspace="8" vspace="8" border="0" usemap="#CommentedAtom-inheritance_map" />
<map name="CommentedAtom-inheritance_map"><area alt="Scopes/Synopsis/PTree/Identifier.html" href="Identifier.html" shape="rect" coords="5, 156, 181, 180" />
<area alt="Scopes/Synopsis/PTree/DupAtom.html" href="DupAtom.html" shape="rect" coords="205, 156, 384, 180" />
<area alt="Scopes/Synopsis/PTree/Keyword.html" href="Keyword.html" shape="rect" coords="408, 156, 584, 180" />
<area alt="Scopes/Synopsis/PTree/Atom.html" href="Atom.html" shape="rect" coords="217, 7, 372, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="CommentedAtom_lconst.Token_A_cNode_S_r">CommentedAtom</a>(const&#160;<a href="../Token.html" >Token</a>&amp; <span class="variable">tk</span>, <a href="Node.html" >Node</a>* <span class="variable">c</span> = <span class="value">0</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mCommentedAtom_mCommentedAtom_lconst.Token_A_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="CommentedAtom_lconst.char_S_csize_t_cNode_S_r">CommentedAtom</a>(const&#160;char* <span class="variable">p</span>, size_t <span class="variable">l</span>, <a href="Node.html" >Node</a>* <span class="variable">c</span> = <span class="value">0</span>)  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mCommentedAtom_mCommentedAtom_lconst.char_S_csize_t_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mCommentedAtom_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="get_comments_l_r">get_comments</a>()  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mCommentedAtom_mget_comments_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="set_comments_lNode_S_r">set_comments</a>(<a href="Node.html" >Node</a>* <span class="variable">c</span>)  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mCommentedAtom_mset_comments_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="my_comments">my_comments</a></div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mCommentedAtom_mmy_comments" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:43 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
